## tinymux 2.10.1.14

=== src/modules/Makefile ===
sample.so: sample.cpp sample.h
	( if [ -f sample.so ]; then mv -f sample.so sample.so~ ; fi )
	g++ -shared -fPIC -o sample.so sample.cpp -L.. -lmux
	( if [ -f sample.so ]; then cd ../../game/bin ; rm -f sample.so; ln -s ../../src/modules/sample.so sample.so ; fi )

=== src/tools/Makefile ===
all: announce

announce: announce.c
	gcc -O2 -o announce announce.c

## tinymux 2.6.5.34

=== debian/changelog ===
tinymux (2.6.5.34-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * New upstream release.
  * Fix "FTBFS with GCC 6: narrowing conversion" by using unsigned types.
    They are always used as a bit field anyway. (Closes: #811780)
  * Fix "use autotools-dev to update config.{sub,guess} for new arches"
    by adopting latest versions of config.{sub,guess}. (Closes: #736863)
  * Fix "[Mayhem] Bug report on tinymux: netmux crashes with exit status
    139" by fixing the size of the command-line argument table.
    (Closes: #716615)

 -- Stephen Dennis <brazilofmux@gmail.com>  Thu, 10 Mar 2016 16:57:00 -0700

tinymux (2.6.5.28-1) unstable; urgency=low

  * New upstream release

 -- Ervin Hearn III <noltar@korongil.net>  Sun, 29 Jun 2008 20:13:26 -0600

tinymux (2.6.5.27-1) unstable; urgency=low

  * New upstream release

 -- Ervin Hearn III <noltar@korongil.net>  Fri, 11 Apr 2008 23:18:25 -0600

tinymux (2.4.3.31-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix buffer overflow CVE-2007-1655. Closes: #417539

 -- Andreas Barth <aba@not.so.argh.org>  Sat, 23 Jun 2007 13:49:59 +0000

tinymux (2.4.3.31-1) unstable; urgency=low

  * New upstream release

 -- Ervin Hearn III <noltar@korongil.net>  Sat,  7 Oct 2006 11:33:07 -0400

tinymux (2.4.2.27-1) unstable; urgency=low

  * New upstream release

 -- Ervin Hearn III <noltar@korongil.net>  Mon,  6 Feb 2006 02:55:44 -0500

tinymux (2.3.5.25-1) unstable; urgency=low

  * New upstream release

 -- Ervin Hearn III <noltar@korongil.net>  Sat, 17 Dec 2005 13:20:58 -0500

tinymux (2.3.5.24-2) unstable; urgency=low

  * Added missing class declaration for CLinearTimeDelta (patch by
    Andreas Jochens) and removed #ifdef check for IEEE floating point
    check (patch from upstream). Tinymux now builds from source with
    newer gcc/g++ versions. Closes: #323106

 -- Ervin Hearn III <noltar@korongil.net>  Sat,  1 Oct 2005 19:46:04 -0400

tinymux (2.3.5.24-1) unstable; urgency=low

  * New upstream release

 -- Ervin Hearn III <noltar@korongil.net>  Wed, 17 Aug 2005 02:54:15 -0400

tinymux (2.3.4.23-1) unstable; urgency=low

  * New upstream release

 -- Ervin Hearn III <noltar@korongil.net>  Tue, 18 Jan 2005 14:26:24 -0500

tinymux (2.3.3.22-1) unstable; urgency=low

  * Initial Release. (closes: #281283)

 -- Ervin Hearn III <noltar@korongil.net>  Mon, 25 Oct 2004 19:14:38 -0400

=== debian/control ===
Source: tinymux
Section: games
Priority: optional
Maintainer: Ervin Hearn III <noltar@korongil.net>
Build-Depends: debhelper (>= 9.0.0), binutils (>= 2.21.0 )
Standards-Version: 3.9.6
Vcs-Git: https://github.com/brazilofmux/tinymux.git
Vcs-Browser: https://github.com/brazilofmux/tinymux
Homepage: http://www.tinymux.org/

Package: tinymux
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: text-based multi-user virtual world server
 This is the TinyMUX flavor of mud servers of the MUSH branch. It
 provides a number of robust features to enable players to extend
 the virtual world. This is done by building new rooms and objects,
 and utilizing its internal programming language, MUSHcode.
 .
 TinyMUX does not provide a superset of all the features available in
 other MUSH flavors, but those it does implement provide a stable and
 robust environment that performs as well or better than that of its
 peers.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpkg/buildflags.mk
export CPPFLAGS CXXFLAGS LDFLAGS

CXXFLAGS += -Wall
DEB_INSTALL = usr/lib/tinymux/game
DEB_SHRINSTALL = usr/share/tinymux/game
DEB_BIN = usr/games

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CXXFLAGS += -O0
else
	CXXFLAGS += -O3 -fomit-frame-pointer
endif

configure: configure-stamp
configure-stamp:
	dh_testdir

	# Add here commands to configure the package.
	(cd src; ./configure --enable-realitylvls --enable-wodrealms)

	touch configure-stamp

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp

build-stamp: configure-stamp
	dh_testdir

	# Add here commands to compile the package.
	(cd src; $(MAKE) depend)
	(cd src; $(MAKE))

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up the package.
	-(cd src; $(MAKE) clean)
	-rm -f game/bin/dbconvert game/bin/netmux game/bin/slave src/unsplit \
		src/buildnum.data src/config.log src/config.status \
		src/Makefile src/autoconf.h

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	# Add here commands to install the package into debian/tinymux.
	dh_install game/* $(DEB_SHRINSTALL)
	-rm -f $(CURDIR)/debian/tinymux/$(DEB_SHRINSTALL)/bin/netmux
	-rm -f $(CURDIR)/debian/tinymux/$(DEB_SHRINSTALL)/bin/slave
	-rm -f $(CURDIR)/debian/tinymux/$(DEB_SHRINSTALL)/bin/dbconvert
	dh_install src/netmux $(DEB_INSTALL)/bin
	dh_install src/slave $(DEB_INSTALL)/bin
	dh_install debian/tinymux-install $(DEB_BIN)
	chmod a+rX -R $(CURDIR)/debian/tinymux/$(DEB_SHRINSTALL)
	chmod a-x $(CURDIR)/debian/tinymux/$(DEB_SHRINSTALL)/netmux.conf
	chmod a+rx -R $(CURDIR)/debian/tinymux/$(DEB_INSTALL)/bin
	chmod a+rx $(CURDIR)/debian/tinymux/$(DEB_SHRINSTALL)/data/db_check
	chmod a+rx $(CURDIR)/debian/tinymux/$(DEB_SHRINSTALL)/data/db_load
	chmod a+rx $(CURDIR)/debian/tinymux/$(DEB_SHRINSTALL)/data/db_unload
	chmod a+rx $(CURDIR)/debian/tinymux/$(DEB_BIN)/tinymux-install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs -k CHANGES
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## tinymux 2.10.1.13

=== debian/changelog ===
tinymux (2.10.1.13-1ubuntu1) zesty; urgency=medium

  * Disable PIE during build for all archs. 

 -- Bhavani Shankar <bhavi@ubuntu.com>  Wed, 15 Feb 2017 13:03:06 +0530

tinymux (2.10.1.13-1) unstable; urgency=medium

  * New upstream release
  * New maintainer. (Closes: #830140)
  * As suggested by lintian, update Standards-Version in debian/control from
    3.9.6 to 3.9.8.
  * Removed first paragraph from tinymux-install.1 man page because the
    tinymux-install program is not part of the upstream package.
  * Freshened the first paragraph of tinymux.6 man page to give the reader a
    better sense of what can be built.
  * Removed the reference to Amberyl's MUSH Manual because the link points to
    what is now a completely different website.
  * As suggested by lintian, added debian/watch file and signing-key.asc.
  * As required, convert debian/copyright to deb5 format.
  * Migrate debian/rules to shortened version, add debian/install and
    debian/clean, and remove debian/dirs. This simplifies things
    considerably.
  * Enabled hardening in debian/rules to address build warnings about
    hardening control via CPPFLAGS and LDFLAGS.

 -- Stephen Dennis <brazilofmux@gmail.com>  Thu, 05 Jan 2017 04:37:00 -0700

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: tinymux
 Section: games
 Priority: optional
-Maintainer: Ervin Hearn III <noltar@korongil.net>
-Build-Depends: debhelper (>= 9.0.0), binutils (>= 2.21.0 )
-Standards-Version: 3.9.6
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Stephen Dennis <brazilofmux@gmail.com>
+Build-Depends: debhelper (>= 9.0.0), binutils (>= 2.21.0), autotools-dev (>= 20140911.1)
+Standards-Version: 3.9.8
 Vcs-Git: https://github.com/brazilofmux/tinymux.git
 Vcs-Browser: https://github.com/brazilofmux/tinymux
 Homepage: http://www.tinymux.org/

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all,-pie

%:
	dh $@ --no-parallel --sourcedirectory=src

override_dh_auto_configure:
	dh_auto_configure -- --enable-stubslave

override_dh_auto_build:
	dh_auto_build
	dh_auto_build --sourcedirectory=src/modules

override_dh_fixperms:
	dh_fixperms
	chmod a-x $(CURDIR)/debian/tinymux/usr/share/tinymux/game/netmux.conf

override_dh_auto_clean:
	dh_auto_clean --sourcedirectory=src/modules
	dh_auto_clean

## tinymux 2.10.1.14

=== debian/changelog ===
tinymux (2.10.1.14-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:59:48 +0100

tinymux (2.10.1.14-1) unstable; urgency=medium

  * New upstream release
    + fixes integer/pointer comparison (Closes: #853683)
  * Update Standards-Version in debian/control from 3.9.8 to 4.0.1 (no
    change needed).
  * cppflags.diff was accepted upstream and therefore dropped from the
    package.
  * Added PCRE license to debian/copyright.
  * Dropped unnecessary build dependencies (Closes: #877604)

 -- Stephen Dennis <brazilofmux@gmail.com>  Tue, 03 Oct 2017 07:55:00 -0600

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: tinymux
 Section: games
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Stephen Dennis <brazilofmux@gmail.com>
-Build-Depends: debhelper (>= 9.0.0), binutils (>= 2.21.0), autotools-dev (>= 20140911.1)
-Standards-Version: 3.9.8
+Maintainer: Stephen Dennis <brazilofmux@gmail.com>
+Build-Depends: debhelper (>= 10.7.2)
+Standards-Version: 4.0.1
 Vcs-Git: https://github.com/brazilofmux/tinymux.git
 Vcs-Browser: https://github.com/brazilofmux/tinymux
 Homepage: http://www.tinymux.org/

=== debian/watch ===
version=4
opts="pasv,pgpsigurlmangle=s/$/.sig/" ftp://ftp.tinymux.org/tinymux-2.10/([\d\.]+)/mux-@ANY_VERSION@.unix@ARCHIVE_EXT@

## tinymux 2.12.0.10

=== debian/changelog ===
tinymux (2.12.0.10-2) unstable; urgency=medium

  * Add explicit Build-Depends on libcrypt-dev.
    This package uses crypt functionality via crypt.h and -lcrypt,
    but previously relied on a transitive dependency through libc6-dev.
    That dependency is being dropped from the build-essential set in the
    forky cycle. This change ensures continued successful builds.
    (Closes: #1107061)
  * Added debian/README.source to document embedded PCRE3 copy in 2.12 series.
  * Bumped Standards-Version to 4.7.2. No changes needed.
  * Switched to debhelper-compat 13.
  * Removed unintended executable permissions on static game data files
    under /usr/share/tinymux/game. These files are not scripts or binaries.
  * Add Lintian overrides:
    - modules are plugins without direct libc usage (sample.so, sqlslave.so, sum.so)
    - embedded PCRE3 in 2.12 documented in debian/README.source
    - runtime text assets under /usr/share/tinymux/game/text/*
  * Ensure module link steps include LDFLAGS (hardening).

 -- Stephen Dennis <brazilofmux@gmail.com>  Wed, 06 Aug 2025 12:32:00 -0600

tinymux (2.12.0.10-1) unstable; urgency=medium

  * New upstream release
    + fixes ftbfs with GCC-12. (Closes: #1013053)
  * Update Standards-Version in debian/control from 4.0.1 to 4.6.1.
    + Removed build date and number for reproducible build.
      (Closes: #866945)

 -- Stephen Dennis <brazilofmux@gmail.com>  Sun, 24 Jul 2022 19:27:02 -0600

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: games
 Priority: optional
 Maintainer: Stephen Dennis <brazilofmux@gmail.com>
-Build-Depends: debhelper (>= 10.7.2)
-Standards-Version: 4.0.1
+Build-Depends: debhelper-compat (= 13), libcrypt-dev
+Standards-Version: 4.7.2
 Vcs-Git: https://github.com/brazilofmux/tinymux.git
 Vcs-Browser: https://github.com/brazilofmux/tinymux
 Homepage: http://www.tinymux.org/

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --sourcedirectory=src

override_dh_auto_configure:
	dh_auto_configure -- --enable-stubslave

override_dh_auto_build:
	dh_auto_build
	dh_auto_build --sourcedirectory=src/modules
	dh_auto_build --sourcedirectory=src/tools

override_dh_fixperms:
	dh_fixperms
	chmod a-x $(CURDIR)/debian/tinymux/usr/share/tinymux/game/text/*.txt
	chmod a-x $(CURDIR)/debian/tinymux/usr/share/tinymux/game/*.conf
	chmod a-x $(CURDIR)/debian/tinymux/usr/share/tinymux/game/mux.config
	chmod a-x $(CURDIR)/debian/tinymux/usr/share/tinymux/game/data/netmux.db

override_dh_auto_clean:
	dh_auto_clean --sourcedirectory=src/tools
	dh_auto_clean --sourcedirectory=src/modules
	dh_auto_clean

override_dh_shlibdeps:
	dh_shlibdeps -l$(CURDIR)/debian/tinymux/usr/lib/tinymux/game/bin

=== debian/watch ===
version=4
opts="pasv,pgpsigurlmangle=s/$/.sig/" ftp://ftp.tinymux.org/tinymux-2.12/([\d\.]+)/mux-@ANY_VERSION@.unix@ARCHIVE_EXT@
